version: '3'
services:
  server:
    image: xdyngrpc-test-cpp-wave-server
    user: ${CURRENT_UID}
    environment:
      - no_proxy
    entrypoint: >
      /usr/wave_server --spectrum=y
  client:
    image: xdyngrpc-test-cpp-wave-client
    depends_on:
      - server
    user: ${CURRENT_UID}
    environment:
      - no_proxy
    entrypoint: >
      wait-for-it server:50051 -s -t 20 --
      /usr/wave_client -p 50051 --ip server
